"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var actions = _interopRequireWildcard(require("../bankEntries"));

var _constants = require("@instructure/quiz-common/lib/constants");

describe('bankEntries actions creators', function () {
  describe('#addBankEntries', function () {
    it('returns a well-formed and correct action', function () {
      expect(actions.addBankEntries([{}])).to.deep.equal({
        type: _constants.ADD_BANK_ENTRIES,
        payload: [{}]
      });
    });
  });
  describe('#archiveBankEntry', function () {
    it('returns a well-formed and correct action', function () {
      expect(actions.archiveBankEntry('45')).to.deep.equal({
        type: _constants.ARCHIVE_BANK_ENTRY,
        payload: '45'
      });
    });
  });
});