"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography,
      borders = _ref.borders;
  return {
    footerBackgroundColor: colors.porcelain,
    footerColor: colors.oxford,
    footerPadding: "".concat(spacing.xSmall, " ").concat(spacing.small),
    feedbackSectionLeftMargin: spacing.xSmall,
    pointsInputFontSize: typography.fontSizeMedium,
    pointsTextFontSize: typography.fontSizeSmall,
    pointsTextLeftMargin: spacing.xSmall
  };
}