"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _immutable = require("immutable");

var ui = _interopRequireWildcard(require("../ui"));

describe('ui selectors', function () {
  describe('getActiveCalculatorId', function () {
    it('defaults to null', function () {
      var id = ui.getActiveCalculatorId((0, _immutable.fromJS)({}));
      expect(id).to.eq(null);
    });
    it('pulls correct id from state', function () {
      var id = ui.getActiveCalculatorId((0, _immutable.fromJS)({
        ui: {
          activeCalculatorId: 'abc'
        }
      }));
      expect(id).to.eq('abc');
    });
  });
});