"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _immutable = require("immutable");

var _index = _interopRequireDefault(require("../index"));

describe('ImportFileSelector', function () {
  var testbed = createTestbed(_index.default, {
    files: (0, _immutable.List)(),
    receiveFile: function receiveFile() {},
    acceptAttribute: '.zip'
  });
  shouldRenderComponent(testbed, {}, _index.default);
  it('should have the right text', function () {
    testbed.render();
    expect(testbed.getText()).to.be.equal('Drag & Drop here or Browse');
  });
  it('should trigger file upload actions');
  describe('a11y tests', function () {
    it('should meet a11y standards', function (done) {
      testbed.render();
      testbed.checkA11yStandards(done);
    });
  });
});