"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _immutable = require("immutable");

var _index = require("../index");

var _Quiz = _interopRequireDefault(require("../../../../../common/records/Quiz"));

describe('connected QuizAndItemAnalysis', function () {
  var fakeState = (0, _immutable.fromJS)({
    reporting: {
      item_analysis_row_open: {}
    },
    quizzes: {
      '1': {
        foo: 'bar'
      }
    },
    outcomes: {}
  });
  describe('mapStateToProps', function () {
    it('maps active quiz id', function () {
      var props = (0, _index.mapStateToProps)(fakeState, {
        activeQuizId: '1'
      });
      expect(props.quiz).to.deep.eq(_Quiz.default.create({
        foo: 'bar'
      }));
    });
  });
});