"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _immutable = require("immutable");

var _modifications = require("../../../../../common/actions/modifications");

var _index = _interopRequireDefault(require("../index"));

describe('ItemFeedbackModal Container', function () {
  var ConnectedItemFeedbackModal = withContext(_index.default);
  var testbed = createTestbed(ConnectedItemFeedbackModal, {
    modalOpen: true,
    closeModal: sinon.stub(),
    changeItemFeedback: _modifications.changeItemFeedback,
    feedback: (0, _immutable.Map)()
  });
  useFakeFetching({
    dispatchStub: sinon.stub(),
    getStateStub: sinon.stub(),
    fetchStub: sinon.stub()
  });
  shouldRenderComponent(testbed, {}, _index.default);
});