"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _immutable = require("immutable");

var _index = _interopRequireDefault(require("../index"));

var _Stimulus = _interopRequireDefault(require("../../../../../../common/records/Stimulus"));

describe('Build Sidebar Stimulus Index', function () {
  var stimulus = new _Stimulus.default();
  var testbed = createTestbed(wrapInDragAndDropTestContext(withContext(_index.default), {}), {
    stimulus: stimulus,
    quizEntry: {
      getEntry: function getEntry() {
        return stimulus;
      },
      getNestedEntries: function getNestedEntries() {
        return (0, _immutable.List)();
      }
    }
  });
  shouldRenderComponent(testbed, {}, _index.default);
});