"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _Menu = _interopRequireDefault(require("@instructure/ui-menu/lib/components/Menu"));

var _index = _interopRequireDefault(require("../index"));

describe('BuildingButtons', function () {
  var ConnectedBuildingButtons = withContext(_index.default);
  var testbed = createTestbed(ConnectedBuildingButtons, {
    app: 'building',
    quizSaving: false
  });
  it('should render menu', function () {
    testbed.render();
    var menu = testbed.findChildByType(_Menu.default);
    expect(menu.props.children.map(function (c) {
      return c.key;
    })).to.eql(['import', 'banks']);
  });
});