"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _Bank = _interopRequireDefault(require("../../../../common/records/Bank"));

var _QtiImport = _interopRequireDefault(require("../../../../common/records/QtiImport"));

var _index = _interopRequireDefault(require("../index"));

describe('HeaderMenu', function () {
  var ConnectedHeaderMenu = withContext(_index.default, {
    calls: {}
  });
  var bank = new _Bank.default({
    id: 1,
    title: 'Units of Measurement'
  });
  sinon.stub(bank, 'getLatestImport').returns(new _QtiImport.default());
  var testbed = createTestbed(ConnectedHeaderMenu, {
    bank: bank
  });
  useFakeFetching({
    dispatchStub: sinon.stub(),
    getStateStub: sinon.stub(),
    fetchStub: sinon.stub()
  });
  shouldRenderComponent(testbed, {}, _index.default);
});