"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _BuildingButtons = _interopRequireDefault(require("../../BuildingButtons"));

var _index = _interopRequireDefault(require("../index"));

var _reactRedux = require("../../../../../../common/react-redux");

describe('SDKBuildingButtons', function () {
  it('includes the BuildingButtons component', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_index.default, null));
    expect(wrapper.find(_BuildingButtons.default)).to.have.length(1);
  });
  it('include a Provider wrapper', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_index.default, null));
    expect(wrapper.find(_reactRedux.Provider)).to.have.length(1);
  });
});