"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _immutable = require("immutable");

var _index = _interopRequireDefault(require("../index"));

describe('CreateBankModal Container', function () {
  var ConnectedCreateBankModal = withContext(_index.default);
  var testbed = createTestbed(ConnectedCreateBankModal, {
    modalOpen: true,
    temporaryBank: {},
    errorsShowing: (0, _immutable.Map)(),
    createBank: sinon.stub(),
    changeBank: sinon.stub(),
    clearModifications: sinon.stub(),
    errorShowingActions: {},
    closeModal: sinon.stub()
  });
  useFakeFetching({
    dispatchStub: sinon.stub(),
    getStateStub: sinon.stub(),
    fetchStub: sinon.stub()
  });
  shouldRenderComponent(testbed, {}, _index.default);
});