"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _Quiz = _interopRequireDefault(require("../../../../../records/Quiz"));

var _Title = require("../Title");

describe('taking QuizTitle', function () {
  var testbed = createTestbed(_Title.QuizTitle, {
    quiz: new _Quiz.default({
      id: '1'
    })
  });
  shouldRenderComponent(testbed, {}, _Title.QuizTitle);
  describe('a11y tests', function () {
    it('should meet a11y standards', function (done) {
      testbed.render();
      testbed.checkA11yStandards(done);
    });
  });
});