"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _immutable = require("immutable");

var _config = _interopRequireDefault(require("../config"));

var _config2 = require("../../actions/config");

describe('config reducer', function () {
  it('properly sets api endpoint', function () {
    var initialState = (0, _immutable.Map)();
    var action = (0, _config2.setAPIEndpoint)('foo');
    var nextState = (0, _config.default)(initialState, action);
    expect(nextState.get('apiEndpoint')).to.equal('foo');
  });
});