"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _immutable = require("immutable");

var taking = _interopRequireWildcard(require("../taking"));

describe('taking selectors', function () {
  describe('getCurrentSessionItemPosition', function () {
    it('defaults to one', function () {
      var pos = taking.getCurrentSessionItemPosition((0, _immutable.fromJS)({}));
      expect(pos).to.eq(1);
    });
    it('gets the correct position', function () {
      var state = {
        taking: {
          currentSessionItemPosition: 2
        }
      };
      var pos = taking.getCurrentSessionItemPosition((0, _immutable.fromJS)(state));
      expect(pos).to.eq(2);
    });
  });
});