"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _ = _interopRequireDefault(require("../"));

describe('Caption', function () {
  var testbed = createTestbed(_.default, {
    text: 'Very Interesting Heading',
    children: _react.default.createElement("div", null, "Super Cool Content")
  });
  shouldRenderComponent(testbed, {}, _.default);
  it('should render heading text', function () {
    testbed.render();
    expect(testbed.getText()).to.include('Very Interesting');
  });
  it('should render its children', function () {
    testbed.render();
    expect(testbed.getText()).to.include('Super Cool');
  });
});