"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _index = _interopRequireDefault(require("../index"));

describe('AddBankEntryModal Container', function () {
  var ConnectedAddBankEntryModal = withContext(_index.default);
  var testbed = createTestbed(ConnectedAddBankEntryModal, {
    modalOpen: true,
    modalActions: sinon.stub(),
    modificationActions: sinon.stub(),
    navigateToBankEntry: sinon.stub()
  });
  useFakeFetching({
    dispatchStub: sinon.stub(),
    getStateStub: sinon.stub(),
    fetchStub: sinon.stub()
  });
  shouldRenderComponent(testbed, {}, _index.default);
});